    :root {
        --bg: #0b0f19;
        --card: #121826;
        --text: #e5e7eb;
        --accent: #6366f1;
        --muted: #9ca3af;
    }

    [data-theme="light"] {
        --bg: #f9fafb;
        --card: #ffffff;
        --text: #111827;
        --accent: #4f46e5;
        --muted: #6b7280;
    }

    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }

    body {
        font-family: 'Inter', sans-serif;
        background: var(--bg);
        color: var(--text);
        overflow-x: hidden;
    }

    /* NAV LAYOUT */
    nav {
        position: fixed;
        width: 100%;
        top: 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 15px 40px;
        backdrop-filter: blur(10px);
        background: rgba(0, 0, 0, 0.4);
        z-index: 1000;
    }

    /* LINKS */
    .nav-links {
        display: flex;
        gap: 30px;
    }

    .nav-links a {
        position: relative;
        color: var(--text);
        text-decoration: none;
        font-weight: 500;
        padding: 5px 10px;
        transition: 0.3s;
    }

    /* EFECTO NEÓN */
    .nav-links a::after {
        content: "";
        position: absolute;
        bottom: -5px;
        left: 0;
        width: 0%;
        height: 2px;
        background: var(--accent);
        box-shadow: 0 0 10px var(--accent);
        transition: width 0.3s;
    }

    .nav-links a:hover::after {
        width: 100%;
    }

    /* LINK ACTIVO */
    .nav-links a.active {
        color: var(--accent);
    }

    .nav-links a.active::after {
        width: 100%;
    }

    /* BOTONES DERECHA */
    .nav-actions {
        display: flex;
        align-items: center;
        gap: 15px;
    }

    /* BOTÓN IDIOMA */
    .lang-btn {
        background: transparent;
        border: 1px solid var(--accent);
        color: var(--accent);
        padding: 5px 12px;
        border-radius: 20px;
        cursor: pointer;
        transition: 0.3s;
    }

    .lang-img {
        width: 17px;
        height: 17px;
    }

    .theme-btn {
        cursor: pointer;
        padding: 5px;
    }

    .theme-btn:hover {
        background: var(--accent);
        border-radius: 70%;
        box-shadow:
            0 0 10px var(--accent),
            0 0 25px var(--accent),
            0 0 50px var(--accent);
    }

    .lang-btn:hover {
        background: var(--accent);
        color: white;
        box-shadow: 0 0 10px var(--accent);
    }

    /* SEPARADOR SUTIL */
    nav::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 5%;
        width: 90%;
        height: 1px;
        background: linear-gradient(to right, transparent, var(--accent), transparent);
    }

    header {
        height: 100vh;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        position: relative;
        overflow: hidden;
    }

    .hero-bg {
        position: absolute;
        width: 90%;
        height: 90%;
        background: url('./media/background/bg.jpg') center/cover;
        opacity: 0.15;
        transition: transform 0.2s ease;
    }

    .profile-pic {
        width: 150px;
        height: 150px;
        border-radius: 50%;
        overflow: hidden;
        border: 3px solid var(--accent);
        margin-bottom: 20px;
        z-index: 2;
    }

    .profile-pic img {
        width: 100%;
        height: 100%;
    }

    header h1 {
        font-size: 3rem;
        background: linear-gradient(90deg, #6366f1, #06b6d4);
        -webkit-background-clip: text;
        color: transparent;
        z-index: 2;
    }

    header p {
        color: var(--muted);
        z-index: 2;
    }

    section {
        width: 100%;
        padding: 100px 0;
        opacity: 0;
        transform: translateY(40px);
        transition: all 0.8s ease;
    }

    section.visible {
        opacity: 1;
        transform: translateY(0);
    }

    .container {
        max-width: 1100px;
        margin: auto;
        padding: 0 20px;
    }

    #about {
        background: rgba(99, 102, 241, 0.05);
    }

    #projects {
        background: rgba(6, 182, 212, 0.05);
    }

    #experience {
        background: rgba(99, 102, 241, 0.08);
    }

    #contact {
        background: rgba(6, 182, 212, 0.05);
    }

    h2 {
        margin-bottom: 40px;
    }

    .carousel {
        position: relative;
        overflow: hidden;
    }

    .carousel-wrapper {
        position: relative;
    }

    .carousel-track {
        display: flex;
        gap: 20px;
        transition: transform 0.5s ease;
    }

    .container:hover .arrow {
        opacity: 1;
        pointer-events: all;
    }

    .card {
        flex: 0 0 300px;
        max-width: 300px;
        height: 420px;

        border-radius: 20px;

        background: rgba(255, 255, 255, 0.05);
        backdrop-filter: blur(10px);
        -webkit-backdrop-filter: blur(10px);

        border: 1px solid rgba(255, 255, 255, 0.1);

        box-shadow: 0 8px 32px rgba(0, 0, 0, 0.3);

        display: flex;
        position: relative;
        flex-direction: column;
        overflow: hidden !important;
        z-index: 1;
    }

    .card-inner {
        height: 100%;
        width: 100%;
        border-radius: 30px;
        overflow: hidden !important;
        background: var(--card);

        transition: transform 0.3s ease, box-shadow 0.3s ease;
    }


    .card img {
        width: 100%;
        height: 180px;
        object-fit: cover;
        transition: transform 0.4s ease, filter 0.4s ease;
    }

    .img-wrapper {
        height: 180px;
        overflow: hidden;
    }

    .img-content {
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    .card:hover img {
        transform: scale(1.1);
        filter: blur(2px);
    }

    .img-wrapper {
        position: relative;
    }

    .overlay {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -40%) scale(0.9);

        opacity: 0;
        pointer-events: none;

        background: rgba(0, 0, 0, 0.6);
        padding: 10px 20px;
        border-radius: 10px;

        transition: all 0.3s ease;
        color: white;
        text-decoration: none;
        z-index: 5;
    }

    .card:hover .card-inner {
        transform: scale(1.05);
        box-shadow: 0 0 25px rgba(99, 102, 241, 0.5);
    }

    .card .img-wrapper .overlay {
        opacity: 0;
        pointer-events: none;
    }

    .card:hover .img-wrapper .overlay {
        opacity: 1;
        transform: translate(-50%, -50%) scale(1);
        pointer-events: auto;
    }

    .img-wrapper::after {
        content: "";
        position: absolute;
        inset: 0;
        background: rgba(0, 0, 0, 0.4);
        opacity: 0;
        transition: 0.3s;
    }

    .card:hover .img-wrapper::after {
        opacity: 1;
    }

    .card:hover::after {
        opacity: 1;
    }

    .card:hover {
        box-shadow: 0 0 25px rgba(99, 102, 241, 0.6);
    }

    .card-content {
        height: 50%;
        padding: 15px;
        display: flex;
        flex-direction: column;
        flex: 1;
    }

    .card-content p {
        flex-grow: 1;
        /* empuja el botón abajo */
        overflow: hidden;
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
    }

    .card button {
        margin-top: auto;
        padding: 10px;
        border: none;
        border-radius: 10px;
        background: var(--accent);
        color: white;
        cursor: pointer;
    }

    .arrow {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        font-size: 20px;
        cursor: pointer;
        background: var(--card);
        padding: 10px;
        border-radius: 50%;
        z-index: 10;
        border: 1px solid rgba(62, 63, 128, 0.6);
        opacity: 0;
        pointer-events: none;
        transition: opacity 0.3s ease;
    }

    .arrow:hover {
        box-shadow: 0 0 25px rgba(99, 102, 241, 0.6);
    }

    .arrow.left {
        left: -50px;
    }

    .arrow.right {
        right: -50px;
    }

    /* TIMELINE */
    .timeline {
        border-left: 2px solid var(--accent);
        padding-left: 20px;
    }

    .timeline-item {
        margin-bottom: 40px;
        position: relative;
    }

    .timeline-item::before {
        content: '';
        position: absolute;
        left: -30px;
        top: 5px;
        width: 15px;
        height: 15px;
        background: var(--accent);
        border-radius: 50%;
    }

    .tags {
        margin-top: 10px;
        display: flex;
        flex-wrap: wrap;
        gap: 8px;
    }

    .tag {
        padding: 6px 12px;
        border-radius: 999px;
        background: rgba(99, 102, 241, 0.2);
        font-size: 12px;
    }

    .desc-project {
        font-style: italic;
        text-align: justify;
    }

    .title-project {
        font-size: larger;
        font-weight: 900;
    }

    /* CONTACT */
    .contact-mail {
        text-decoration: none;
        color: var(--text);
    }

    .contact-header {
        text-align: center;
        margin-bottom: 30px;
    }

    .contact-grid {
        display: flex;
        justify-content: center;
        gap: 30px;
        flex-wrap: wrap;
    }

    .contact-item {
        text-decoration: none;
        color: var(--text);
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        padding: 20px;
        background: var(--card);
        border-radius: 15px;
        width: 120px;
        transition: transform 0.3s ease;
        cursor: pointer;
    }

    .contact-mail a {
        color: var(--text);
        text-decoration: none;
        font-weight: 500;
        transition: 0.3s;
    }

    .email-box {
        position: relative;
        display: inline-block;
        cursor: pointer;
        padding: 8px 16px;
        border-radius: 10px;
        transition: 0.3s;
    }

    .email-text {
        color: var(--text);
        font-weight: 500;
        font-size: large;
        transition: 0.3s;
    }

    /* Hover pro */
    .email-box:hover .email-text {
        color: var(--accent);
        text-shadow: 0 0 8px var(--accent);
    }

    /* TOOLTIP */
    .tooltip {
        position: absolute;
        bottom: -35px;
        left: 50%;
        transform: translateX(-50%) scale(0.8);
        background: var(--accent);
        color: white;
        padding: 5px 10px;
        border-radius: 6px;
        font-size: 12px;
        opacity: 0;
        pointer-events: none;
        transition: all 0.3s ease;
    }

    /* cuando copia */
    .email-box.copied .tooltip {
        opacity: 1;
        transform: translateX(-50%) scale(1);
    }

    .contact-mail a:hover {
        color: var(--accent);
        /* ✨ efecto moderno */
        text-shadow: 5px 5px 8px var(--accent);
    }

    .contact-item:hover {
        transform: translateY(-5px);
    }

    .contact-item i {
        font-size: 24px;
        color: var(--accent);
    }

    footer {
        text-align: center;
        padding: 30px;
        color: var(--muted);
    }

    [data-i18n] {
        display: inline-block;
        transition: all 0.35s cubic-bezier(0.22, 1, 0.36, 1);
    }

    /* SALE */
    .fade-out {
        opacity: 0;
        transform: translateY(10px) scale(0.98);
        filter: blur(6px);
    }

    /* ENTRA */
    .fade-in {
        opacity: 1;
        transform: translateY(0) scale(1);
        filter: blur(0);
    }


    /* HAMBURGER */
    .hamburger {
        display: none;
        flex-direction: column;
        gap: 5px;
        cursor: pointer;
        z-index: 1100;
    }

    .hamburger span {
        width: 25px;
        height: 3px;
        background: var(--text);
        border-radius: 2px;
        transition: 0.3s;
    }

    /* ANIMACIÓN A "X" */
    .hamburger.active span:nth-child(1) {
        transform: rotate(45deg) translateY(8px);
    }

    .hamburger.active span:nth-child(2) {
        opacity: 0;
    }

    .hamburger.active span:nth-child(3) {
        transform: rotate(-45deg) translateY(-8px);
    }

    /* MOBILE */
    @media (max-width: 768px) {

        .overlay {
            opacity: 1;
        }

        .hamburger {
            display: flex;
        }

        .nav-links {
            position: absolute;
            top: 70px;
            right: 0;
            width: 100%;
            flex-direction: column;
            align-items: center;
            background: var(--bg);

            max-height: 0;
            overflow: hidden;

            transition: max-height 0.4s ease;
        }

        .nav-links.open {
            max-height: 100vh;
            padding: 20px 0;
        }

        .nav-links a {
            padding: 10px;
            font-size: 18px;
        }
    }

    @media (hover: none) {

        .arrow {
            opacity: 1 !important;
            pointer-events: all;
        }

        .arrow.left {
            left: 0px;
        }

        .arrow.right {
            right: 0px;
        }

    }